%{?mingw_package_header}

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-glib-networking
Version:        2.66.0
Release:        %mkrel 2
Summary:        MinGW Windows glib-networking library

License:        LGPLv2+
Group:          Development/Other
URL:            https://www.gnome.org/
Source0:        https://download.gnome.org/sources/glib-networking/%{release_version}/glib-networking-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-glib2
BuildRequires:  mingw64-glib2
BuildRequires:  mingw32-gnutls >= 2.10
BuildRequires:  mingw64-gnutls >= 2.10
BuildRequires:  gcc
BuildRequires:  pkgconfig
BuildRequires:  intltool
BuildRequires:  meson

%description
This package contains modules that extend the networking support in GIO.


%package -n mingw32-glib-networking
Summary:        MinGW Windows glib-networking library

%description -n mingw32-glib-networking
This package contains modules that extend the networking support in GIO.


%package -n mingw64-glib-networking
Summary:        MinGW Windows glib-networking library

%description -n mingw64-glib-networking
This package contains modules that extend the networking support in GIO.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n glib-networking-%{version}


%build
%mingw_meson -Dlibproxy_support=false -Dgnome_proxy_support=false
%mingw_ninja


%install
%mingw_ninja_install

rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gio/modules/*.dll.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gio/modules/*.dll.a
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gio/modules/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gio/modules/*.la

%mingw_find_lang glib-networking


%files -n mingw32-glib-networking -f mingw32-glib-networking.lang
%license COPYING
%{mingw32_libdir}/gio/modules/libgiognutls.dll

%files -n mingw64-glib-networking -f mingw64-glib-networking.lang
%license COPYING
%{mingw64_libdir}/gio/modules/libgiognutls.dll




%changelog
* Sat Sep 26 2020 tv <tv> 2.66.0-2.mga8
+ Revision: 1630473
- rebuild for new mingw stack

* Sat Sep 12 2020 ovitters <ovitters> 2.66.0-1.mga8
+ Revision: 1624853
- new version 2.66.0

* Fri Aug 07 2020 ovitters <ovitters> 2.65.90-1.mga8
+ Revision: 1611827
- new version 2.65.90

* Thu Jul 09 2020 ovitters <ovitters> 2.65.1-1.mga8
+ Revision: 1603445
- new version 2.65.1

* Fri May 29 2020 ovitters <ovitters> 2.64.3-1.mga8
+ Revision: 1588701
- new version 2.64.3

* Tue Apr 14 2020 ovitters <ovitters> 2.64.2-1.mga8
+ Revision: 1567340
- new version 2.64.2
+ danf <danf>
- Switch URLs from http: to https:

* Fri Mar 27 2020 ovitters <ovitters> 2.64.1-1.mga8
+ Revision: 1561266
- new version 2.64.1

* Fri Mar 06 2020 ovitters <ovitters> 2.64.0-1.mga8
+ Revision: 1554466
- new version 2.64.0

* Fri Feb 28 2020 ovitters <ovitters> 2.63.92-1.mga8
+ Revision: 1551304
- new version 2.63.92

* Wed Feb 19 2020 umeabot <umeabot> 2.63.91-2.mga8
+ Revision: 1542373
- Mageia 8 Mass Rebuild
+ ovitters <ovitters>
- new version 2.63.91

* Sat Jan 04 2020 ovitters <ovitters> 2.62.3-1.mga8
+ Revision: 1476305
- new version 2.62.3

* Mon Dec 09 2019 ovitters <ovitters> 2.62.2-1.mga8
+ Revision: 1465545
- new version 2.62.2

* Sat Oct 05 2019 ovitters <ovitters> 2.62.1-1.mga8
+ Revision: 1449386
- new version 2.62.1

* Mon Sep 16 2019 daviddavid <daviddavid> 2.62.0-1.mga8
+ Revision: 1442143
- new version: 2.62.0

* Wed Aug 28 2019 daviddavid <daviddavid> 2.61.2-1.mga8
+ Revision: 1434682
- new version: 2.61.2
- switch to meson build system

* Thu Sep 20 2018 umeabot <umeabot> 2.54.1-2.mga7
+ Revision: 1279721
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 2.54.1-1.mga7
+ Revision: 1248029
- new version: 2.54.1

* Wed May 11 2016 tv <tv> 2.48.2-2.mga6
+ Revision: 1012961
- rebuild for new mingw-gnutls

* Wed May 11 2016 tv <tv> 2.48.2-1.mga6
+ Revision: 1012690
- new release

* Thu Apr 07 2016 tv <tv> 2.46.1-1.mga6
+ Revision: 999141
- new release
+ neoclust <neoclust>
- imported package mingw-glib-networking

